import { ElementRef, type OnDestroy, type OnInit } from '@angular/core';
import { PopoverDirective } from 'ngx-bootstrap/popover';
import type { TourAnchorDirective } from 'ngx-ui-tour-core';
import type { INgxbStepOption as IStepOption } from './step-option.interface';
import * as i0 from "@angular/core";
export declare class TourAnchorNgxBootstrapPopoverDirective extends PopoverDirective {
    static ɵfac: i0.ɵɵFactoryDeclaration<TourAnchorNgxBootstrapPopoverDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TourAnchorNgxBootstrapPopoverDirective, "[tourAnchor]", never, {}, {}, never, never, true, never>;
}
export declare class TourAnchorNgxBootstrapDirective implements OnInit, OnDestroy, TourAnchorDirective {
    tourAnchor: string;
    isActive: import("@angular/core").WritableSignal<boolean>;
    readonly element: ElementRef<any>;
    private readonly tourService;
    private readonly tourStepTemplate;
    private readonly popoverDirective;
    constructor();
    ngOnInit(): void;
    ngOnDestroy(): void;
    showTourStep(step: IStepOption): void;
    hideTourStep(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TourAnchorNgxBootstrapDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TourAnchorNgxBootstrapDirective, "[tourAnchor]", never, { "tourAnchor": { "alias": "tourAnchor"; "required": false; }; }, {}, never, never, true, never>;
}
