import { type AfterContentInit, TemplateRef } from '@angular/core';
import { TourHotkeyListenerComponent } from 'ngx-ui-tour-core';
import { NgxbTourService } from '../ngx-bootstrap-tour.service';
import type { IStepOption } from '../../public_api';
import * as i0 from "@angular/core";
export declare class TourStepTemplateComponent extends TourHotkeyListenerComponent implements AfterContentInit {
    defaultTourStepTemplate: TemplateRef<{
        step: IStepOption;
    }>;
    stepTemplate: TemplateRef<{
        step: IStepOption;
    }>;
    stepTemplateContent: TemplateRef<{
        step: IStepOption;
    }>;
    private readonly tourStepTemplateService;
    readonly tourService: NgxbTourService<IStepOption>;
    ngAfterContentInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TourStepTemplateComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TourStepTemplateComponent, "tour-step-template", never, { "stepTemplate": { "alias": "stepTemplate"; "required": false; }; }, {}, ["stepTemplateContent"], never, true, never>;
}
